aboutsummaryrefslogtreecommitdiffstats
path: root/bin/check-vanilla
diff options
context:
space:
mode:
Diffstat (limited to 'bin/check-vanilla')
-rwxr-xr-xbin/check-vanilla11
1 files changed, 11 insertions, 0 deletions
diff --git a/bin/check-vanilla b/bin/check-vanilla
new file mode 100755
index 0000000..6b4bdd4
--- /dev/null
+++ b/bin/check-vanilla
@@ -0,0 +1,11 @@
+#!/bin/env bash
+#Check if the kernel name has -rt in it (we're running Realtime Kernel)
+
+if [[ $(uname -r) == *-rt* ]];then
+ echo "Failure: Running $(uname -r)."
+ exit 1
+else
+ echo "Success: Running $(uname -r)."
+ exit 0
+fi
+